import list from "./list.js";

import playerElem from "./playerElem.js";
import scorerElem from "./scorerElem.js";
import plainElem from "./plainElem.js";
import squareElem from "./squareElem.js";
import inputElem from "./inputElem.js";

import select from "./select.js";
// import overlay from "./overlay.js";
import dialog from "./dialog.js";

export default (app) => {
  app.component("d-list", list);

  app.component("d-playerElem", playerElem);
  app.component("d-scorerElem", scorerElem);
  app.component("d-plainElem", plainElem);
  app.component("d-squareElem", squareElem);
  app.component("d-inputElem", inputElem);
  app.component("d-select", select);
  
  app.component("d-dialog", dialog);
}
